aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/grep.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-05-19 20:35:26 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-05-19 20:35:26 +1200
commita3ddf9e5799a4727625c0676d6e32c055640b9c5 (patch)
tree3e22a57ea4ae600cf9ec39b521b4b7cc7c407a46 /sh/shrc.d/grep.sh
parentMerge branch 'master' into port/bsd/freebsd (diff)
parentJust use whichever vi(1) we need as VISUAL (diff)
downloaddotfiles-a3ddf9e5799a4727625c0676d6e32c055640b9c5.tar.gz
dotfiles-a3ddf9e5799a4727625c0676d6e32c055640b9c5.zip
Merge branch 'master' into port/bsd/freebsd
Diffstat (limited to 'sh/shrc.d/grep.sh')
-rw-r--r--sh/shrc.d/grep.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/sh/shrc.d/grep.sh b/sh/shrc.d/grep.sh
index fc8f62c0..dd85a198 100644
--- a/sh/shrc.d/grep.sh
+++ b/sh/shrc.d/grep.sh
@@ -1,6 +1,6 @@
# Our ~/.profile should already have made a directory with the supported
# options for us; if not, we won't be wrapping grep(1) with a function at all
-[ -d "$HOME"/.cache/grep ] || return
+[ -d "$HOME"/.cache/sh/opt/grep ] || return
# Discard GNU grep(1) environment variables if the environment set them
unset -v GREP_OPTIONS
@@ -9,31 +9,31 @@ unset -v GREP_OPTIONS
grep() {
# Add --binary-files=without-match to gracefully skip binary files
- [ -e "$HOME"/.cache/grep/binary-files ] &&
+ [ -e "$HOME"/.cache/sh/opt/grep/binary-files ] &&
set -- --binary-files=without-match "$@"
# Add --color=auto if the terminal has at least 8 colors
- [ -e "$HOME"/.cache/grep/color ] &&
+ [ -e "$HOME"/.cache/sh/opt/grep/color ] &&
[ "$({ tput colors || tput Co ; } 2>/dev/null)" -ge 8 ] &&
set -- --color=auto "$@"
# Add --devices=skip to gracefully skip devices
- [ -e "$HOME"/.cache/grep/devices ] &&
+ [ -e "$HOME"/.cache/sh/opt/grep/devices ] &&
set -- --devices=skip "$@"
# Add --directories=skip to gracefully skip directories
- [ -e "$HOME"/.cache/grep/directories ] &&
+ [ -e "$HOME"/.cache/sh/opt/grep/directories ] &&
set -- --directories=skip "$@"
# Add --exclude to ignore .gitignore and .gitmodules files
- [ -e "$HOME"/.cache/grep/exclude ] &&
+ [ -e "$HOME"/.cache/sh/opt/grep/exclude ] &&
set -- \
--exclude=.gitignore \
--exclude=.gitmodules \
"$@"
# Add --exclude-dir to ignore version control dot-directories
- [ -e "$HOME"/.cache/grep/exclude-dir ] &&
+ [ -e "$HOME"/.cache/sh/opt/grep/exclude-dir ] &&
set -- \
--exclude-dir=.cvs \
--exclude-dir=.git \